---
title: RTCIceCandidatePair
slug: Web/API/RTCIceCandidatePair
tags:
  - API
  - Candidate
  - Connectivity
  - Dictionary
  - ICE
  - Interface
  - Negotiation
  - Pair
  - Reference
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>RTCIceCandidatePair</strong></code> dictionary describes a pair of ICE candidates which together comprise a description of a viable connection between two WebRTC endpoints.</span> It is used as the return value from {{domxref("RTCIceTransport.getSelectedCandidatePair()")}} to identify the currently-selected candidate pair identified by the ICE agent.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCIceCandidatePair.local", "local")}}</dt>
 <dd>An {{domxref("RTCIceCandidate")}} describing the configuration of the local end of the connection.</dd>
 <dt>{{domxref("RTCIceCandidatePair.remote", "remote")}}</dt>
 <dd>The <code><strong>RTCIceCandidate</strong></code> describing the configuration of the remote end of the connection.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/RTCIceTransport/onselectedcandidatepairchange", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcicecandidatepair', 'RTCIceCandidatePair')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePair")}}</p>
